import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
export declare enum NgxKey {
    A = 65,
    B = 66,
    C = 67,
    D = 68,
    E = 69,
    F = 70,
    G = 71,
    H = 72,
    I = 73,
    J = 74,
    K = 75,
    L = 76,
    M = 77,
    N = 78,
    O = 79,
    P = 80,
    Q = 81,
    R = 82,
    S = 83,
    T = 84,
    U = 85,
    V = 86,
    W = 87,
    X = 88,
    Y = 89,
    Z = 90,
    Digit0 = 48,
    Digit1 = 49,
    Digit2 = 50,
    Digit3 = 51,
    Digit4 = 52,
    Digit5 = 53,
    Digit6 = 54,
    Digit7 = 55,
    Digit8 = 56,
    Digit9 = 57,
    Space = 32,
    Backslash = 220,
    BracketLeft = 219,
    BracketRight = 221,
    Comma = 188,
    Grave = 192,
    Period = 190,
    Quote = 222,
    Semicolon = 186,
    Slash = 191,
    Ctrl = 17,
    Shift = 16,
    Alt = 18,
    MetaLeft = 91,
    WinLeft = 91,
    MetaRight = 92,
    WinRight = 92,
    F1 = 112,
    F2 = 113,
    F3 = 114,
    F4 = 115,
    F5 = 116,
    F6 = 117,
    F7 = 118,
    F8 = 119,
    F9 = 120,
    F10 = 121,
    F11 = 122,
    F12 = 123,
    Backspace = 8,
    Delete = 46,
    End = 35,
    Escape = 27,
    Home = 36,
    Insert = 45,
    PageUp = 33,
    PageDown = 34,
    Pause = 19,
    PrintScreen = 44,
    Return = 13,
    LeftArrow = 37,
    UpArrow = 38,
    RightArrow = 39,
    DownArrow = 40,
    CapsLock = 9,
    NumLock = 144,
    ScrollLock = 145,
    NumPad0 = 96,
    NumPad1 = 97,
    NumPad2 = 98,
    NumPad3 = 99,
    NumPad4 = 100,
    NumPad5 = 101,
    NumPad6 = 102,
    NumPad7 = 103,
    NumPad8 = 104,
    NumPad9 = 105,
    NumPadAdd = 117,
    NumPadDecimal = 110,
    NumPadDivide = 111,
    NumPadEnter = 113,
    NumPadMultiply = 106,
    NumPadSubtract = 109
}
export declare enum NgxKeyLocation {
    Standard = 0,
    Left = 1,
    Right = 2,
    NumPad = 3
}
export declare enum NgxKeyModifier {
    AltOption = 0,
    CtrlCmd = 1,
    Shift = 2
}
export declare class NgxKeyboardEvent {
    code: NgxKey;
    modifiers: NgxKeyModifier[];
    name: string;
}
export declare class NgxKeyboardEventsService {
    private document;
    onKeyDown$: Subject<NgxKeyboardEvent>;
    onKeyUp$: Subject<NgxKeyboardEvent>;
    constructor(document: Document);
    resolveKeyboardEvent(keyEvent: KeyboardEvent): {
        code: NgxKey;
        location: NgxKeyLocation;
        modifiers: NgxKeyModifier[];
        name: string;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxKeyboardEventsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NgxKeyboardEventsService>;
}
